curl --request PUT \
--url https://api.easierprop.com/admin/keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Production key",
"max_accounts": 8
}
'{
"ok": true,
"data": {
"key": "sk_live_abc123...",
"id": "70f60784-20f1-45ba-9a04-8e01c0b810c3",
"label": "Production key",
"prefix": "sk_live_abc",
"max_accounts": 4,
"is_active": true,
"admin_id": "2c0f8d1c-8211-4b67-8ef6-1d8c0f610c3a",
"created_at": "2023-11-07T05:31:56Z"
}
}Update an API key label and, where allowed, its account cap.
curl --request PUT \
--url https://api.easierprop.com/admin/keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Production key",
"max_accounts": 8
}
'{
"ok": true,
"data": {
"key": "sk_live_abc123...",
"id": "70f60784-20f1-45ba-9a04-8e01c0b810c3",
"label": "Production key",
"prefix": "sk_live_abc",
"max_accounts": 4,
"is_active": true,
"admin_id": "2c0f8d1c-8211-4b67-8ef6-1d8c0f610c3a",
"created_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.easierprop.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token obtained from POST /admin/login
API key ID